.hero {
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--white);
}

.hero.boxed {
    color: var(--black);
    padding: calc(140 * var(--size)) var(--gap);
}

.hero-background {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.hero-background .media-container,
.hero-background .media-container .media-container-holder,
.hero-background .media-container .media-container-holder picture,
.hero-background .media-container .media-container-holder picture img,
.hero-background .media-container .media-container-holder video {
    width: 100%;
    height: 100%;
}

.hero-background .media-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.hero.boxed .hero-background .media-container .media-container-holder {
    max-width: calc(400 * var(--size));
    position: relative;
    margin: 0 auto;
    height: auto;
}

body.single-post
    .hero.boxed
    .hero-background
    .media-container
    .media-container-holder {
    max-width: calc(360 * var(--size));
}

.hero.boxed .hero-background .media-container .media-container-holder:after {
    content: "";
    display: block;
    width: 100%;
    position: relative;
    padding-bottom: 125%;
}

.hero.boxed .hero-background .media-container .media-container-holder picture {
    position: absolute;
    top: 0;
    left: 0;
}

.hero-background .media-container .media-container-holder picture img,
.hero-background .media-container .media-container-holder video {
    display: block;
    object-fit: cover;
}

.hero-title {
    width: 100%;
    padding: var(--gap);
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 2;
}

/* RESPONSIVE */
@media only screen and (max-width: 768px) {
    .hero.boxed {
        padding-bottom: calc(110 * var(--size));
    }

    .hero.boxed.hero.mobile-long-title {
        padding-bottom: calc(160 * var(--size));
    }

    .hero.boxed .hero-background .media-container .media-container-holder,
    body.single-post
        .hero.boxed
        .hero-background
        .media-container
        .media-container-holder {
        width: 100%;
        height: 100%;
    }

    .hero.boxed
        .hero-background
        .media-container
        .media-container-holder:after {
        content: none;
    }

    .hero.boxed
        .hero-background
        .media-container
        .media-container-holder
        picture,
    body.single-post
        .hero.boxed
        .hero-background
        .media-container
        .media-container-holder
        picture {
        position: relative;
        width: 100%;
        height: 100%;
    }

    .hero.boxed .hero-background .media-container .media-container-holder img,
    body.single-post
        .hero.boxed
        .hero-background
        .media-container
        .media-container-holder
        img {
        width: 100%;
        height: 100%;
        object-fit: contain;
        object-position: center;
    }

    .hero:not(.boxed) .hero-title {
        top: 0;
        background: rgba(0, 0, 0, 0.2);
        pointer-events: none;
        align-items: flex-end;
    }

    .hero.mobile-long-title .hero-title {
        flex-direction: column;
        justify-content: flex-end;
        align-items: center;
        gap: calc(8 * var(--size));
    }

    .hero.mobile-long-title .hero-title span {
        width: 100%;
        display: block;
    }

    .hero.mobile-long-title .hero-title span.right {
        text-align: right;
    }

    .right.mobile-disabled {
        display: none;
    }
}
